# SIPTransactionBase Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPTransactionBase:

[legend]
Collaboration diagram for SIPTransactionBase:
[legend]

## Public Member Functions

| SIPTransactionBase (const PString &transactionID)
Comparison | Compare (const PObject &other) const
virtual bool | IsTerminated () const

## Protected Member Functions

| SIPTransactionBase (Methods method)

## Constructor & Destructor Documentation

SIPTransactionBase::SIPTransactionBase | ( | Methods | method | ) | `[inline, protected]`

SIPTransactionBase::SIPTransactionBase | ( | const PString & | transactionID | ) | `[inline]`

## Member Function Documentation

Comparison SIPTransactionBase::Compare | ( | const PObject & | other | ) | const

virtual bool SIPTransactionBase::IsTerminated | ( |  | ) | const`[inline, virtual]`

Reimplemented in SIPTransaction.

The documentation for this class was generated from the following file:

- sippdu.h